Texa DeskDevelopers

Texa Desk Application API · Contacts

Get Contactable Inboxes

GET/api/v1/accounts/{account_id}/contacts/{id}/contactable_inboxes

Get List of contactable Inboxes

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

idnumberrequired

ID of the contact

Responses

200

Success

payloadarray of object

List of contactable inboxes for the contact

payload[].source_idstring

Source identifier for the contact inbox

payload[].inboxobject
payload[].inbox.idinteger

ID of the inbox

payload[].inbox.avatar_urlstring

URL for the inbox avatar

payload[].inbox.channel_idinteger

ID of the channel

payload[].inbox.namestring

Name of the inbox

payload[].inbox.channel_typestring

Type of channel

payload[].inbox.providerstring

Provider of the inbox

401

Authentication error

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
422

Incorrect payload

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring